<!-- 
RSS generated by JIRA (9.4.14#940014-sha1:734e6822bbf0d45eff9af51f82432957f73aa32c) at Sat Feb 10 01:14:45 UTC 2024

It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
For example, to request only the issue key and summary append 'field=key&field=summary' to the URL of your request.
-->
<rss version="0.92" >
<channel>
    <title>Whamcloud Community JIRA</title>
    <link>https://jira.whamcloud.com</link>
    <description>This file is an XML representation of an issue</description>
    <language>en-us</language>    <build-info>
        <version>9.4.14</version>
        <build-number>940014</build-number>
        <build-date>05-12-2023</build-date>
    </build-info>


<item>
            <title>[LU-1229] test-framework not able to set module parameters from modprobe.conf</title>
                <link>https://jira.whamcloud.com/browse/LU-1229</link>
                <project id="10000" key="LU">Lustre</project>
                    <description>&lt;p&gt;Loading modules from /Users/shadow/work/lustre/work/BUGS/CLSTR-136/lustre/lustre/tests/..&lt;br/&gt;
../libcfs/libcfs/libcfs options: &apos;libcfs_debug_mb=100 options libcfs libcfs_debug=-1 options libcfs libcfs_subsystem_debug=-1 options libcfs libcfs_panic_on_lbug=0&apos;&lt;br/&gt;
insmod: error inserting &apos;/Users/shadow/work/lustre/work/BUGS/CLSTR-136/lustre/lustre/tests/../../libcfs/libcfs/libcfs.ko&apos;: -1 Unknown symbol in module&lt;/p&gt;

&lt;p&gt;that is result more then one parameter in modprobe.conf&lt;/p&gt;

&lt;ol&gt;
	&lt;li&gt;cat /etc/modprobe.d/Lustre&lt;br/&gt;
options libcfs libcfs_debug_mb=100&lt;br/&gt;
options libcfs libcfs_debug=-1&lt;br/&gt;
options libcfs libcfs_subsystem_debug=-1&lt;br/&gt;
options libcfs libcfs_panic_on_lbug=0&lt;/li&gt;
&lt;/ol&gt;


&lt;p&gt;options mdt mdt_num_threads=5&lt;/p&gt;

</description>
                <environment></environment>
        <key id="13604">LU-1229</key>
            <summary>test-framework not able to set module parameters from modprobe.conf</summary>
                <type id="1" iconUrl="https://jira.whamcloud.com/secure/viewavatar?size=xsmall&amp;avatarId=11303&amp;avatarType=issuetype">Bug</type>
                                            <priority id="4" iconUrl="https://jira.whamcloud.com/images/icons/priorities/minor.svg">Minor</priority>
                        <status id="5" iconUrl="https://jira.whamcloud.com/images/icons/statuses/resolved.png" description="A resolution has been taken, and it is awaiting verification by reporter. From here issues are either reopened, or are closed.">Resolved</status>
                    <statusCategory id="3" key="done" colorName="success"/>
                                    <resolution id="1">Fixed</resolution>
                                        <assignee username="keith">Keith Mannthey</assignee>
                                    <reporter username="shadow">Alexey Lyashkov</reporter>
                        <labels>
                            <label>patch</label>
                    </labels>
                <created>Fri, 16 Mar 2012 23:32:19 +0000</created>
                <updated>Tue, 16 Apr 2013 22:32:49 +0000</updated>
                            <resolved>Tue, 16 Apr 2013 22:32:49 +0000</resolved>
                                    <version>Lustre 2.1.0</version>
                    <version>Lustre 2.2.0</version>
                    <version>Lustre 2.1.1</version>
                                    <fixVersion>Lustre 2.4.0</fixVersion>
                                        <due></due>
                            <votes>0</votes>
                                    <watches>5</watches>
                                                                            <comments>
                            <comment id="31410" author="adilger" created="Fri, 16 Mar 2012 23:43:58 +0000"  >&lt;p&gt;Looks like this should be straightforward to fix.  The current code in load_module() does:&lt;/p&gt;

&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;            set -- $(grep -P &quot;^options\\s+${BASE}&quot; $MODPROBECONF)
            # Get rid of &quot;options $module&quot;
            (($# &amp;gt; 0)) &amp;amp;&amp;amp; shift 2
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;

&lt;p&gt;but it could do something like the following to handle multi-line options:&lt;/p&gt;

&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;            set -- $(grep &quot;^options[ \t]*$BASE&quot; | sed -e &apos;s/.*$BASE//&apos;)
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;</comment>
                            <comment id="31411" author="shadow" created="Fri, 16 Mar 2012 23:47:28 +0000"  >&lt;div class=&quot;code panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;codeContent panelContent&quot;&gt;
&lt;pre class=&quot;code-java&quot;&gt;--- a/lustre/tests/test-framework.sh
+++ b/lustre/tests/test-framework.sh
@@ -278,6 +278,8 @@ module_loaded () {
 #
 load_module() {
     local optvar
+    local opt
+
     EXT=&lt;span class=&quot;code-quote&quot;&gt;&quot;.ko&quot;&lt;/span&gt;
     module=$1
     shift
@@ -294,18 +296,18 @@ load_module() {
         eval set -- \$$optvar
         &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; [ $# -eq 0 -a -n &lt;span class=&quot;code-quote&quot;&gt;&quot;$MODPROBECONF&quot;&lt;/span&gt; ]; then
             # Nothing in $MODOPTS_&amp;lt;MODULE&amp;gt;; &lt;span class=&quot;code-keyword&quot;&gt;try&lt;/span&gt; modprobe.conf
-            set -- $(grep -P &lt;span class=&quot;code-quote&quot;&gt;&quot;^options\\s+${BASE}&quot;&lt;/span&gt; $MODPROBECONF)
+            opt=$(grep -P &lt;span class=&quot;code-quote&quot;&gt;&quot;^options\\s+${BASE}&quot;&lt;/span&gt; $MODPROBECONF | sed -e &lt;span class=&quot;code-quote&quot;&gt;&quot;s/options\(\\s\)\+${BASE}/ /g&quot;&lt;/span&gt;)
             # Get rid of &lt;span class=&quot;code-quote&quot;&gt;&quot;options $module&quot;&lt;/span&gt;
-            (($# &amp;gt; 0)) &amp;amp;&amp;amp; shift 2
+            #(($# &amp;gt; 0)) &amp;amp;&amp;amp; shift 2
 
             # Ensure we have accept=all &lt;span class=&quot;code-keyword&quot;&gt;for&lt;/span&gt; lnet
             &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; [ $(basename $module) = lnet ]; then
                 # OK, &lt;span class=&quot;code-keyword&quot;&gt;this&lt;/span&gt; is a bit wordy...
                 local arg accept_all_present=&lt;span class=&quot;code-keyword&quot;&gt;false&lt;/span&gt;
-                &lt;span class=&quot;code-keyword&quot;&gt;for&lt;/span&gt; arg in &lt;span class=&quot;code-quote&quot;&gt;&quot;$@&quot;&lt;/span&gt;; &lt;span class=&quot;code-keyword&quot;&gt;do&lt;/span&gt;
+                &lt;span class=&quot;code-keyword&quot;&gt;for&lt;/span&gt; arg in &lt;span class=&quot;code-quote&quot;&gt;&quot;$opt&quot;&lt;/span&gt;; &lt;span class=&quot;code-keyword&quot;&gt;do&lt;/span&gt;
                     [ &lt;span class=&quot;code-quote&quot;&gt;&quot;$arg&quot;&lt;/span&gt; = accept=all ] &amp;amp;&amp;amp; accept_all_present=&lt;span class=&quot;code-keyword&quot;&gt;true&lt;/span&gt;
                 done
-                $accept_all_present || set -- &lt;span class=&quot;code-quote&quot;&gt;&quot;$@&quot;&lt;/span&gt; accept=all
+                $accept_all_present || set -- &lt;span class=&quot;code-quote&quot;&gt;&quot;$opt&quot;&lt;/span&gt; accept=all
             fi
         fi
     fi
@@ -318,14 +320,14 @@ load_module() {
             [ -f ${LUSTRE}/../lnet/selftest/${module}${EXT} ]; then
         insmod ${LUSTRE}/../lnet/selftest/${module}${EXT}
     elif [ -f ${LUSTRE}/${module}${EXT} ]; then
-        insmod ${LUSTRE}/${module}${EXT} &lt;span class=&quot;code-quote&quot;&gt;&quot;$@&quot;&lt;/span&gt;
+        insmod ${LUSTRE}/${module}${EXT} &lt;span class=&quot;code-quote&quot;&gt;&quot;$opt&quot;&lt;/span&gt;
     &lt;span class=&quot;code-keyword&quot;&gt;else&lt;/span&gt;
         # must be testing a &lt;span class=&quot;code-quote&quot;&gt;&quot;make install&quot;&lt;/span&gt; or &lt;span class=&quot;code-quote&quot;&gt;&quot;rpm&quot;&lt;/span&gt; installation
         # note failed to load ptlrpc_gss is considered not fatal
         &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; [ &lt;span class=&quot;code-quote&quot;&gt;&quot;$BASE&quot;&lt;/span&gt; == &lt;span class=&quot;code-quote&quot;&gt;&quot;ptlrpc_gss&quot;&lt;/span&gt; ]; then
-            modprobe $BASE &lt;span class=&quot;code-quote&quot;&gt;&quot;$@&quot;&lt;/span&gt; 2&amp;gt;/dev/&lt;span class=&quot;code-keyword&quot;&gt;null&lt;/span&gt; || echo &lt;span class=&quot;code-quote&quot;&gt;&quot;gss/krb5 is not supported&quot;&lt;/span&gt;
+            modprobe $BASE &lt;span class=&quot;code-quote&quot;&gt;&quot;$opt&quot;&lt;/span&gt; 2&amp;gt;/dev/&lt;span class=&quot;code-keyword&quot;&gt;null&lt;/span&gt; || echo &lt;span class=&quot;code-quote&quot;&gt;&quot;gss/krb5 is not supported&quot;&lt;/span&gt;
         &lt;span class=&quot;code-keyword&quot;&gt;else&lt;/span&gt;
-            modprobe $BASE &lt;span class=&quot;code-quote&quot;&gt;&quot;$@&quot;&lt;/span&gt;
+            modprobe $BASE &lt;span class=&quot;code-quote&quot;&gt;&quot;$opt&quot;&lt;/span&gt;
         fi
     fi
 }
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;</comment>
                            <comment id="31412" author="shadow" created="Fri, 16 Mar 2012 23:49:07 +0000"  >&lt;p&gt;i didn&apos;t like plays with &quot;$@&quot; &lt;img class=&quot;emoticon&quot; src=&quot;https://jira.whamcloud.com/images/icons/emoticons/smile.png&quot; height=&quot;16&quot; width=&quot;16&quot; align=&quot;absmiddle&quot; alt=&quot;&quot; border=&quot;0&quot;/&gt;&lt;/p&gt;</comment>
                            <comment id="31413" author="shadow" created="Sat, 17 Mar 2012 01:00:55 +0000"  >&lt;p&gt;remote: New Changes:&lt;br/&gt;
remote:   &lt;a href=&quot;http://review.whamcloud.com/2342&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/2342&lt;/a&gt;&lt;br/&gt;
remote: &lt;/p&gt;</comment>
                            <comment id="46630" author="keith" created="Tue, 16 Oct 2012 13:56:47 +0000"  >&lt;p&gt;Alexey,  Are you going to peruse acceptance of this code?  &lt;/p&gt;</comment>
                            <comment id="47856" author="simmonsja" created="Thu, 15 Nov 2012 11:30:39 +0000"  >&lt;p&gt;Seeing some problem with this code. A shell debug run shows this:&lt;/p&gt;

&lt;p&gt;load_module ptlrpc/gss/ptlrpc_gss&lt;br/&gt;
+ local optvar&lt;br/&gt;
+ EXT=.ko&lt;br/&gt;
+ module=ptlrpc/gss/ptlrpc_gss&lt;br/&gt;
+ shift&lt;br/&gt;
++ basename ptlrpc/gss/ptlrpc_gss .ko&lt;br/&gt;
+ BASE=ptlrpc_gss&lt;br/&gt;
+ module_loaded ptlrpc_gss&lt;br/&gt;
+ /sbin/lsmod&lt;br/&gt;
+ grep -q &apos;^\&amp;lt;ptlrpc_gss\&amp;gt;&apos;&lt;br/&gt;
+ &apos;&lt;span class=&quot;error&quot;&gt;&amp;#91;&amp;#39; 0 -eq 0 &amp;#39;&amp;#93;&lt;/span&gt;&apos;&lt;br/&gt;
++ basename ptlrpc/gss/ptlrpc_gss&lt;br/&gt;
++ tr a-z A-Z&lt;br/&gt;
+ optvar=MODOPTS_PTLRPC_GSS&lt;br/&gt;
++ set &amp;#8211;&lt;br/&gt;
+ &apos;&lt;span class=&quot;error&quot;&gt;&amp;#91;&amp;#39; 0 -eq 0 -a -n /etc/modprobe.d/lustre.conf &amp;#39;&amp;#93;&lt;/span&gt;&apos;&lt;br/&gt;
+ local opt&lt;br/&gt;
++ grep -P &apos;^options\s+ptlrpc_gss&apos; /etc/modprobe.d/lustre.conf&lt;br/&gt;
+ opt=&lt;/p&gt;


&lt;p&gt;Then its stops running&lt;/p&gt;</comment>
                            <comment id="47868" author="simmonsja" created="Thu, 15 Nov 2012 13:35:13 +0000"  >&lt;p&gt;My system really doesn&apos;t like that grep. What I found that does work is &lt;/p&gt;

&lt;p&gt;local opt&lt;br/&gt;
opt=$(awk &apos;/^\option.*BASE/&lt;/p&gt;
{print substr($3, index($3,$N))}
&lt;p&gt;&apos; $MODPROBECONF)&lt;br/&gt;
set &amp;#8211; $(echo $opt | sed -e &quot;s/\n/ /g&quot;)&lt;/p&gt;

&lt;p&gt;As a side note I tested this with conf-sanity 53 to see if it fixed it, Nope &lt;img class=&quot;emoticon&quot; src=&quot;https://jira.whamcloud.com/images/icons/emoticons/sad.png&quot; height=&quot;16&quot; width=&quot;16&quot; align=&quot;absmiddle&quot; alt=&quot;&quot; border=&quot;0&quot;/&gt;&lt;br/&gt;
That set of test uses it own functions to manage the modprobe options. I&apos;m hoping&lt;br/&gt;
we can cleanup this up with this patch.&lt;/p&gt;</comment>
                            <comment id="47922" author="shadow" created="Fri, 16 Nov 2012 07:40:16 +0000"  >&lt;p&gt;James, &lt;/p&gt;

&lt;p&gt;did you system is debian based?&lt;br/&gt;
but anyway that for finding solution - i will repost a patch.&lt;/p&gt;</comment>
                            <comment id="47926" author="simmonsja" created="Fri, 16 Nov 2012 08:06:28 +0000"  >&lt;p&gt;No its a RHEL6 image. Mind you its a stripped down image. Besides this fix I&apos;m investigation why config-sanity 53 fails dues to modprobe options. I hope to have fix for that as well.&lt;/p&gt;</comment>
                            <comment id="48218" author="nrutman" created="Wed, 21 Nov 2012 17:23:38 +0000"  >&lt;p&gt;Xyratex-bug-id: &lt;a href=&quot;http://jira-nss.xy01.xyratex.com:8080/browse/MRP-657&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;MRP-657&lt;/a&gt;&lt;/p&gt;</comment>
                            <comment id="48625" author="simmonsja" created="Fri, 30 Nov 2012 15:11:43 +0000"  >&lt;p&gt;Found the problem Alexey. My bash environment was turning off globing. Anyways I have a patch at&lt;/p&gt;

&lt;p&gt;Patch at  &lt;a href=&quot;http://review.whamcloud.com/#change,2342&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/#change,2342&lt;/a&gt;&lt;/p&gt;</comment>
                            <comment id="49506" author="adilger" created="Thu, 20 Dec 2012 16:02:00 +0000"  >&lt;p&gt;Patch is landed to master.&lt;/p&gt;</comment>
                    </comments>
                    <attachments>
                    </attachments>
                <subtasks>
                    </subtasks>
                <customfields>
                                                                                                                                                                                            <customfield id="customfield_10890" key="com.atlassian.jira.plugins.jira-development-integration-plugin:devsummary">
                        <customfieldname>Development</customfieldname>
                        <customfieldvalues>
                            
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        <customfield id="customfield_10390" key="com.pyxis.greenhopper.jira:gh-lexo-rank">
                        <customfieldname>Rank</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1|hzvh6f:</customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10090" key="com.pyxis.greenhopper.jira:gh-global-rank">
                        <customfieldname>Rank (Obsolete)</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>6432</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                            <customfield id="customfield_10060" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Severity</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10022"><![CDATA[3]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                                                                                                    <customfield id="customfield_10002" key="com.atlassian.jira.plugin.system.customfieldtypes:float">
                        <customfieldname>Story Points</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1.0</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                        </customfields>
    </item>
</channel>
</rss>